Newest 'ffmpeg' Questions - Stack Overflow

http://stackoverflow.com/questions/tagged/ffmpeg

Les articles publiés sur le site

  • Ffmpeg set duration using node-fluent-ffmpeg

    23 mai 2013, par Vprnl

    I'm really new to the world of ffmpeg so please excuses me if this is a stupid queston.

    I'm using the module Node-fluent-ffmpeg to stream a movie and convert it from avi to webm. So far so good (it plays the video), but I'm having trouble parsing the duration to the player. My ultimate goal is to be able to skip ahead in the movie. But first the player needs to know how long the video is.

    my code is as followed:

    var stat = fs.statSync(movie);
    
    var start = 0;
    var end = 0;
    var range = req.header('Range');
    if (range != null) {
    start = parseInt(range.slice(range.indexOf('bytes=')+6,
      range.indexOf('-')));
    end = parseInt(range.slice(range.indexOf('-')+1,
      range.length));
    }
    if (isNaN(end) || end == 0) end = stat.size-1;
    if (start > end) return;
    
    res.writeHead(206, { // NOTE: a partial http response
        'Connection':'close',
        'Content-Type':'video/webm',
        'Content-Length':end - start,
        'Content-Range':'bytes '+start+'-'+end+'/'+stat.size,
        'Transfer-Encoding':'chunked'
    });
    
    var  proc = new ffmpeg({ source: movie, nolog: true, priority: 1, timeout:15000})
        .toFormat('webm')
        .withVideoBitrate('1024k')
        .addOptions(['-probesize 900000', '-analyzeduration 0', '-bufsize 14000'])
        .writeToStream(res, function(retcode, error){
        if (!error){
            console.log('file has been converted succesfully',retcode);
        }else{
            console.log('file conversion error',error);
        }
    });
    

    I tried to set the header with a start and a end based on this article: http://delog.wordpress.com/2011/04/25/stream-webm-file-to-chrome-using-node-js/

    I also looked in the FFmpeg documentation and found -f duration and -ss. But I don't quite know how to convert the byte range to seconds.

    I feel like I'm pretty close to a solution but my inexperience with the subject matter prohibits me from getting it to work. If I'm unclear in any way please let me know. (I have a tendency of explaining things fuzzy.)

    Thanks in advance!

  • Instrumentation run failed, when running halfninja android-ffmpeg-x264 ProjectTest

    23 mai 2013, par user1914692

    I am following https://github.com/halfninja/android-ffmpeg-x264 to create an Android project based on ffmpeg, x264. It has two projects after building: "Project", "ProjectTest" Apparently "Project" is not complete. I run "ProjectTest", the error is:

    Test run failed: Instrumentation run failed due to 'Process crashed.'
    

    Any hint? Thanks.

  • How to use fig.show=animate in knitr without administrator privileges

    23 mai 2013, par Stéphane Laurent

    I use Windows without administrator privileges hence I cannot set a path in the Windows PATH variable.

    The ffmpeg.exe file is in my "U:/ProgramFiles/ImageMagick-6.8.5-5/" folder.

    I have found how to use the saveVideo() function of the animate package:

    ani.options(ffmpeg = shQuote('U:/ProgramFiles/ImageMagick-6.8.5-5/ffmpeg.exe'))
    saveVideo({
      par(mar = rep(3, 4))
      for (i in seq(pi/2, -4/3 * pi, length = 12)) {
        plot(0, 0, pch = 20, ann = FALSE, axes = FALSE)
        arrows(0, 0, cos(i), sin(i))
        axis(1, 0, "VI"); axis(2, 0, "IX")
        axis(3, 0, "XII"); axis(4, 0, "III"); box()
      }
    },
            video.name="mavideo.mp4",
            outdir="U:/Data/Rtests/Animation")
    

    But I haven't find how to knit a Rmd file with the option fig.show=animate in a chunk, for instance:

    ```{r clock, fig.width=7, fig.height=6, fig.show='animate'}
    par(mar = rep(3, 4))
    for (i in seq(pi/2, -4/3 * pi, length = 12)) {
        plot(0, 0, pch = 20, ann = FALSE, axes = FALSE)
        arrows(0, 0, cos(i), sin(i))
        axis(1, 0, "VI"); axis(2, 0, "IX")
        axis(3, 0, "XII"); axis(4, 0, "III"); box()
    }
    ```
    

    I have tried to modifiy the hook_ffmpeg_html() function by only changing the ffmpeg.cmd variable:

    ```{r}
     hook_ffmpeg_html2 <- function (x, options) 
    { 
        ........ 
        ffmpeg.cmd = paste("-y", "-r", 1/options$interval, 
            "-i", fig.fname, mov.fname) 
        ffmpeg.cmd <-  paste('"U:/ProgramFiles/ImageMagick-6.8.5-5/ffmpeg"', ffmpeg.cmd) 
       ...... 
    } 
    opts_knit$set(animation.fun = hook_ffmpeg_html2) 
    ```
    

    But this chunk does not work, below is the error message :

    label: unnamed-chunk-1 
    Warning in block_exec(params) : 
      failed to tidy R code in chunk  
    reason: Error in base::parse(text = text, srcfile = NULL) : 
      21:14: unexpected symbol 
    20: options$out.height), if ("controls" %in% mov.opts) 
    21: "controls=\\"controls 
    
  • ffmpeg (avcodeclib) & png support

    23 mai 2013, par user472155

    I'm building ffmpeg libraries on Windows with a --enable-decoder=png switch. However, after successful build, there is no png support. Any ideas what went wrong?

  • Build libaacplus 2.0.2 for ios

    23 mai 2013, par Javan

    Does anyone build libaacplus2.0.2(Download here) successed for iOS? I want ffmpeg support that.It cast me one day to build that, but failed.

    This is libaacplus2.0.2/autogen.sh, It was edited, just let it create configure file:

    #!/bin/sh
    # Run this to set up the build system: configure, makefiles, etc.
    # (based on the version in enlightenment's cvs)
    
    package="libaacplus"
    
    srcdir=`dirname $0`
    test -z "$srcdir" && srcdir=.
    
    cd "$srcdir"
    DIE=0
    
    (autoheader --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "You must have autoconf installed to compile $package."
        echo "Download the appropriate package for your distribution,"
        echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
        DIE=1
    }
    
    (autoreconf --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "You must have autoreconf installed to compile $package."
        echo "Download the appropriate package for your distribution,"
        echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
        DIE=1
    }
    
    (automake --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "You must have automake installed to compile $package."
        echo "Download the appropriate package for your system,"
        echo "or get the source from one of the GNU ftp sites"
        echo "listed in http://www.gnu.org/order/ftp.html"
        DIE=1
    }
    
    if test "$DIE" -eq 1; then
        exit 1
    fi
    
    if test -z "$*"; then
        echo "I am going to run ./configure with no arguments - if you wish "
        echo "to pass any to it, please specify them on the $0 command line."
    fi
    
    echo "Generating configuration files for $package, please wait...."
    
    echo "  aclocal $ACLOCAL_FLAGS"
    aclocal $ACLOCAL_FLAGS
    echo "  autoheader"
    autoheader
    echo "  libtoolize --automake"
    libtoolize --automake
    echo "  automake --add-missing $AUTOMAKE_FLAGS"
    automake --add-missing $AUTOMAKE_FLAGS 
    echo "  autoreconf"
    autoreconf
    
    #$srcdir/configure "$@" && echo
    

    After run the autogen.sh script:

    ./autogen.sh
    

    the configure file has been created in the same path, them i re-compressed the libaacplus folder named with "libaacplus-2.0.2.tar.gz". Bellow is build script(build-libaacplus.sh) wrote by me:

    #!/bin/bash
    
    SRC_PACK='libaacplus-2.0.2.tar.gz'
    
    SRC_ROOT=`pwd`/libaacplus-2.0.2
    BUILD_PATH=`pwd`/build
    
    DEVELOPER_ROOT='/Applications/Xcode.app/Contents/Developer'
    IOS_VERSION='6.1'
    #CC="$DEVELOPER_ROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang"
    
    CPU_CORE_COUNT=`sysctl -n machdep.cpu.core_count` #Check cpu core number
    MAKE_JOBS=$CPU_CORE_COUNT+1
    
    function build_with_args() {
        local arch=$1
        local platform=$2
        local host=$3
        local cc=$4
        local build=$5
        local cpp=$6
        local ios_dev_root="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer"
        local sys_root="$ios_dev_root/SDKs/iPhone$platform$IOS_VERSION.sdk"
    
        if [ -d $SRC_ROOT ]; then
            echo "Cleaning $SRC_ROOT ..."
            rm -rf $SRC_ROOT    
            echo "Clean $SRC_ROOT completed!"
        fi
    
        echo "Decompressing $SRC_PACK ..."
        tar -xzf $SRC_PACK
        echo "Decompress $SRC_PACK completed!"
    
        cd $SRC_ROOT
    
        export PATH="$ios_dev_root/usr/bin:$DEVELOPER_ROOT/usr/bin:$PATH"
        export CC=$cc
        export CFLAGS="-I$sys_root/usr/include" 
        export LDFLAGS="--sysroot=$sys_root -L$sys_root/usr/lib/ -L$sys_root/usr/lib/system"
        export CPPFLAGS=$CFLAGS
        export CPP=$cpp
        export TARGET=$build
    
        ./configure \
        --prefix="$BUILD_PATH/$arch" \
        --host=$host \
        --build=$build \
        --with-sysroot=$sys_root \
        --enable-shared \
        --enable-static 
    
        echo "Building for $arch ..."
    
    #   make -j$MAKE_JOBS
        make install
        make clean
    
        echo "Build for $arch completed!"
    
        cd -
    }
    
    function build_armv7() {
        local platform='OS'
        local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
        build_with_args \
            'armv7' \
            "$platform" \
            'arm' \
            "$bin_path/arm-apple-darwin10-llvm-gcc-4.2" \
            'arm-apple-darwin10' \
            "$bin_path/arm-apple-darwin10-llvm-g++-4.2"
    }
    
    function build_armv7s() {
        local platform='OS'
        local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
        build_with_args \
            'armv7s' \
            "$platform" \
            'arm' \
            "$bin_path/arm-apple-darwin10-llvm-gcc-4.2" \
            'arm-apple-darwin10' \
            "$bin_path/arm-apple-darwin10-llvm-g++-4.2"
    }
    
    function build_i386() {
        local platform='Simulator'
        local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
        build_with_args \
            'i386' \
            "$platform" \
            'i386' \
            "$bin_path/i686-apple-darwin11-llvm-gcc-4.2" \
            'i686-apple-darwin11' \
            "$bin_path/i686-apple-darwin11-llvm-g++-4.2"
    
    
    }
    
    if [ -d $BUILD_PATH ]; then
        echo "Cleaning $BUILD_PATH..."
        rm -rf $BUILD_PATH
    fi
    
    build_armv7
    #build_armv7s
    #build_i386
    
    echo '>>>>>>>>>>>>>>>>>All completed!<<<<<<<<<<<<<<'
    

    It failed again and again. Run script->failed->see config.log->modify->Run script ...

    I don't know what should I can do. Someone can help me? Thanks a lot! The last config.log content is bellow:

    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.
    
    It was created by libaacplus configure 2.0.2, which was
    generated by GNU Autoconf 2.65.  Invocation command line was
    
      $ ./configure --prefix=/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/build/armv7 --host=arm --build=arm-apple-darwin10 --with-sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk --enable-shared --enable-static
    
    ## --------- ##
    ## Platform. ##
    ## --------- ##
    
    hostname = JieMacBookPro.local
    uname -m = x86_64
    uname -r = 11.4.2
    uname -s = Darwin
    uname -v = Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64
    
    /usr/bin/uname -p = i386
    /bin/uname -X     = unknown
    
    /bin/arch              = unknown
    /usr/bin/arch -k       = unknown
    /usr/convex/getsysinfo = unknown
    /usr/bin/hostinfo      = Mach kernel version:
         Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64
    Kernel configured for up to 4 processors.
    2 processors are physically available.
    4 processors are logically available.
    Processor type: i486 (Intel 80486)
    Processors active: 0 1 2 3
    Primary memory available: 4.00 gigabytes
    Default processor set: 127 tasks, 619 threads, 4 processors
    Load average: 0.97, Mach factor: 3.02
    /bin/machine           = unknown
    /usr/bin/oslevel       = unknown
    /bin/universe          = unknown
    
    PATH: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    PATH: /Applications/Xcode.app/Contents/Developer/usr/bin
    PATH: /opt/local/bin
    PATH: /opt/local/sbin
    PATH: /usr/bin
    PATH: /bin
    PATH: /usr/sbin
    PATH: /sbin
    PATH: /usr/local/bin
    PATH: /usr/X11/bin
    PATH: /Library/StartupItems/MySQLCOM
    PATH: /usr/local/mysql/bin
    
    
    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##
    
    configure:2378: checking for a BSD-compatible install
    configure:2446: result: /usr/bin/install -c
    configure:2457: checking whether build environment is sane
    configure:2512: result: yes
    configure:2571: checking for arm-strip
    configure:2601: result: no
    configure:2611: checking for strip
    configure:2627: found /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/strip
    configure:2638: result: strip
    configure:2650: WARNING: using cross tools not prefixed with host triplet
    configure:2663: checking for a thread-safe mkdir -p
    configure:2702: result: ./install-sh -c -d
    configure:2715: checking for gawk
    configure:2745: result: no
    configure:2715: checking for mawk
    configure:2745: result: no
    configure:2715: checking for nawk
    configure:2745: result: no
    configure:2715: checking for awk
    configure:2731: found /usr/bin/awk
    configure:2742: result: awk
    configure:2753: checking whether make sets $(MAKE)
    configure:2775: result: yes
    configure:2868: checking for arm-gcc
    configure:2895: result: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
    configure:3164: checking for C compiler version
    configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 --version >&5
    arm-apple-darwin10-llvm-gcc-4.2 (GCC) 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2410.2.00)
    Copyright (C) 2007 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    
    configure:3184: $? = 0
    configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -v >&5
    Using built-in specs.
    Target: arm-apple-darwin10
    Configured with: /private/var/tmp/llvmgcc42_Embedded/llvmgcc42_Embedded-2410.2~111/src/configure --enable-checking --enable-werror --prefix=/Developer/usr/llvm-gcc-4.2 --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --disable-tls --build=i686-apple-darwin10 --enable-llvm=/private/var/tmp/llvmgcc42_Embedded/llvmgcc42_Embedded-2410.2~111/dst-llvmCore/Developer/usr/local --program-prefix=arm-apple-darwin10- --host=x86_64-apple-darwin10 --target=arm-apple-darwin10 --with-gxx-include-dir=/usr/include/c++/4.2.1 --with-build-sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.Internal.sdk
    Thread model: posix
    gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2410.2.00)
    configure:3184: $? = 0
    configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -V >&5
    arm-apple-darwin10-llvm-gcc-4.2: '-V' option must have argument
    configure:3184: $? = 1
    configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -qversion >&5
    arm-apple-darwin10-llvm-gcc-4.2: no input files
    configure:3184: $? = 1
    configure:3204: checking whether the C compiler works
    configure:3226: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include --sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system conftest.c  >&5
    configure:3230: $? = 0
    configure:3279: result: yes
    configure:3282: checking for C compiler default output file name
    configure:3284: result: a.out
    configure:3290: checking for suffix of executables
    configure:3297: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -o conftest -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include --sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system conftest.c  >&5
    configure:3301: $? = 0
    configure:3323: result: 
    configure:3345: checking whether we are cross compiling
    configure:3383: result: yes
    configure:3388: checking for suffix of object files
    configure:3410: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
    configure:3414: $? = 0
    configure:3435: result: o
    configure:3439: checking whether we are using the GNU C compiler
    configure:3458: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
    configure:3458: $? = 0
    configure:3467: result: yes
    configure:3476: checking whether /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 accepts -g
    configure:3496: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -g -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
    configure:3496: $? = 0
    configure:3537: result: yes
    configure:3554: checking for /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 option to accept ISO C89
    configure:3618: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2  -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
    configure:3618: $? = 0
    configure:3631: result: none needed
    configure:3662: checking for style of include used by make
    configure:3690: result: GNU
    configure:3716: checking dependency style of /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
    configure:3827: result: gcc3
    configure:3843: checking whether /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 and cc understand -c and -o together
    configure:3874: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c conftest.c -o conftest2.o >&5
    configure:3878: $? = 0
    configure:3884: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c conftest.c -o conftest2.o >&5
    configure:3888: $? = 0
    configure:3899: cc -c conftest.c >&5
    configure:3903: $? = 0
    configure:3911: cc -c conftest.c -o conftest2.o >&5
    configure:3915: $? = 0
    configure:3921: cc -c conftest.c -o conftest2.o >&5
    configure:3925: $? = 0
    configure:3943: result: yes
    configure:3973: checking how to run the C preprocessor
    configure:4043: result: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
    configure:4063: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c
    conftest.c:16: error: 'Syntax' does not name a type
    configure:4063: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "libaacplus"
    | #define PACKAGE_TARNAME "libaacplus"
    | #define PACKAGE_VERSION "2.0.2"
    | #define PACKAGE_STRING "libaacplus 2.0.2"
    | #define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
    | #define PACKAGE_URL ""
    | #define PACKAGE "libaacplus"
    | #define VERSION "2.0.2"
    | /* end confdefs.h.  */
    | #ifdef __STDC__
    | # include 
    | #else
    | # include 
    | #endif
    |            Syntax error
    configure:4063: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c
    conftest.c:16: error: 'Syntax' does not name a type
    configure:4063: $? = 1
    configure: failed program was:
    | /* confdefs.h */
    | #define PACKAGE_NAME "libaacplus"
    | #define PACKAGE_TARNAME "libaacplus"
    | #define PACKAGE_VERSION "2.0.2"
    | #define PACKAGE_STRING "libaacplus 2.0.2"
    | #define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
    | #define PACKAGE_URL ""
    | #define PACKAGE "libaacplus"
    | #define VERSION "2.0.2"
    | /* end confdefs.h.  */
    | #ifdef __STDC__
    | # include 
    | #else
    | # include 
    | #endif
    |            Syntax error
    configure:4093: error: in `/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2':
    configure:4096: error: C preprocessor "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2" fails sanity check
    See `config.log' for more details.
    
    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##
    
    ac_cv_c_compiler_gnu=yes
    ac_cv_env_CC_set=set
    ac_cv_env_CC_value=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
    ac_cv_env_CFLAGS_set=set
    ac_cv_env_CFLAGS_value=-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include
    ac_cv_env_CPPFLAGS_set=set
    ac_cv_env_CPPFLAGS_value=-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include
    ac_cv_env_CPP_set=set
    ac_cv_env_CPP_value=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
    ac_cv_env_LDFLAGS_set=set
    ac_cv_env_LDFLAGS_value='--sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system'
    ac_cv_env_LIBS_set=
    ac_cv_env_LIBS_value=
    ac_cv_env_build_alias_set=set
    ac_cv_env_build_alias_value=arm-apple-darwin10
    ac_cv_env_host_alias_set=set
    ac_cv_env_host_alias_value=arm
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_objext=o
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_prog_AWK=awk
    ac_cv_prog_CC=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
    ac_cv_prog_CPP=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
    ac_cv_prog_ac_ct_STRIP=strip
    ac_cv_prog_cc__Applications_Xcode_app_Contents_Developer_Platforms_iPhoneOS_platform_Developer_usr_bin_arm_apple_darwin10_llvm_gcc_4_2_c_o=yes
    ac_cv_prog_cc_c89=
    ac_cv_prog_cc_g=yes
    ac_cv_prog_make_make_set=yes
    am_cv_CC_dependencies_compiler_type=gcc3
    
    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##
    
    AACPLUS_CFLAGS=''
    AACPLUS_CPPFLAGS=''
    AACPLUS_LIBS=''
    AACPLUS_REQUIRES=''
    ACLOCAL='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run aclocal-1.12'
    AMDEPBACKSLASH='\'
    AMDEP_FALSE='#'
    AMDEP_TRUE=''
    AMTAR='$${TAR-tar}'
    AR=''
    AS=''
    ASH=''
    AUTOCONF='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run autoconf'
    AUTOHEADER='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run autoheader'
    AUTOMAKE='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run automake-1.12'
    AWK='awk'
    BASH='/bin/sh'
    CC='/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2'
    CCDEPMODE='depmode=gcc3'
    CFLAGS='-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include'
    CPP='/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2'
    CPPFLAGS='-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include'
    CYGPATH_W='echo'
    DEBUG=''
    DEFS=''
    DEPDIR='.deps'
    DLLTOOL=''
    DOWNLOADER_PROG=''
    DOWNLOADER_PROG_CMD=''
    DSYMUTIL=''
    DUMPBIN=''
    ECHO_C='\c'
    ECHO_N=''
    ECHO_T=''
    EGREP=''
    EXEEXT=''
    FFTW3_CFLAGS=''
    FFTW3_INCFLAGS=''
    FFTW3_LDFLAGS=''
    FFTW3_LIB=''
    FGREP=''
    GREP=''
    HAVE_PKGCONFIG_FALSE=''
    HAVE_PKGCONFIG_TRUE=''
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
    LD=''
    LDFLAGS='--sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system'
    LIBOBJS=''
    LIBS=''
    LIBTOOL=''
    LIBTOOL_DEPS=''
    LIPO=''
    LN_S=''
    LTLIBOBJS=''
    MAKEINFO='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run makeinfo'
    MANIFEST_TOOL=''
    MKDIR_P='./install-sh -c -d'
    NM=''
    NMEDIT=''
    OBJDUMP=''
    OBJEXT='o'
    OPT=''
    OTOOL64=''
    OTOOL=''
    PACKAGE='libaacplus'
    PACKAGE_BUGREPORT='Sergiy Guriev <piratfm@ua.fm>'
    PACKAGE_NAME='libaacplus'
    PACKAGE_STRING='libaacplus 2.0.2'
    PACKAGE_TARNAME='libaacplus'
    PACKAGE_URL=''
    PACKAGE_VERSION='2.0.2'
    PARAMETER_EXPANSION_STRING_REPLACE_CAPABLE_SHELL=''
    PATCH=''
    PATH_SEPARATOR=':'
    PKGCONFIG=''
    PROFILE=''
    RANLIB=''
    SED=''
    SET_MAKE=''
    SHELL='/bin/sh'
    STRIP='strip'
    UNZIP=''
    VERSION='2.0.2'
    ac_ct_AR=''
    ac_ct_CC=''
    ac_ct_DUMPBIN=''
    am__EXEEXT_FALSE=''
    am__EXEEXT_TRUE=''
    am__fastdepCC_FALSE='#'
    am__fastdepCC_TRUE=''
    am__include='include'
    am__isrc=''
    am__leading_dot='.'
    am__nodep='_no'
    am__quote=''
    am__tar='$${TAR-tar} chof - "$$tardir"'
    am__untar='$${TAR-tar} xf -'
    bindir='${exec_prefix}/bin'
    build='arm-apple-darwin10'
    build_alias='arm-apple-darwin10'
    build_cpu=''
    build_os=''
    build_vendor=''
    datadir='${datarootdir}'
    datarootdir='${prefix}/share'
    docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
    dvidir='${docdir}'
    exec_prefix='NONE'
    host='arm'
    host_alias='arm'
    host_cpu=''
    host_os=''
    host_vendor=''
    htmldir='${docdir}'
    includedir='${prefix}/include'
    infodir='${datarootdir}/info'
    install_sh='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/install-sh'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir='${datarootdir}/locale'
    localstatedir='${prefix}/var'
    mandir='${datarootdir}/man'
    mkdir_p='$(top_builddir)/./install-sh -c -d'
    oldincludedir='/usr/include'
    pdfdir='${docdir}'
    prefix='/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/build/armv7'
    program_transform_name='s,x,x,'
    psdir='${docdir}'
    sbindir='${exec_prefix}/sbin'
    sharedstatedir='${prefix}/com'
    sysconfdir='${prefix}/etc'
    target_alias=''
    
    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##
    
    /* confdefs.h */
    #define PACKAGE_NAME "libaacplus"
    #define PACKAGE_TARNAME "libaacplus"
    #define PACKAGE_VERSION "2.0.2"
    #define PACKAGE_STRING "libaacplus 2.0.2"
    #define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
    #define PACKAGE_URL ""
    #define PACKAGE "libaacplus"
    #define VERSION "2.0.2"
    
    configure: exit 1